Ticket #4394 (closed defect: fixed)

Opened 7 years ago

Last modified 7 years ago

管理者承認不要時でも承認リストにアクセスできてしまう

Reported by: imamura623 Assigned to: kiwa
Priority: minor Milestone: OpenPNE2.14.4
Component: 指定しない Version: 2.14.x
Keywords: Cc:

Description (Last modified by kiwa)

■現象

管理者承認を不要にしても、承認待ちリスト(m=admin&a=page_list_sns_entry)にアクセスできる上に、承認待ちメンバーがいる場合、承認動作や否認動作が実行できる。

■原因

管理者承認系のアクションで管理者の承認の有無を確認していなかった。

■修正内容

参加者承認系の全てのアクションに対して、「参加時の管理者承認」が「管理者の承認は不要」の状態でアクセスした場合に以下のような動作になるよう修正

  • トップページ(admin_page_top) にリダイレクト
  • 「指定されたページにはアクセスできません」エラーメッセージを表示
  • 承認・否認を変更する処理の場合は変更に失敗する

■関連情報

#4337 参加時の管理者承認制でプロフィールが登録されない #4376 承認待ちメンバーがいない時も行がないテーブルが表示される

Change History

01/19/10 19:01:20 changed by imamura623

  • owner changed from nobody to nagasawa.

01/21/10 17:31:28 changed by kiwa

  • owner changed from nagasawa to kiwa.
  • status changed from new to assigned.

やっちゃいます

01/21/10 17:53:22 changed by kiwa

  • keywords set to 確認中.

以下のリビジョンで修正しました。

01/21/10 17:54:05 changed by kiwa

  • keywords deleted.

すいません、適用したのが承認リストのみでした。

01/21/10 19:28:06 changed by kiwa

  • keywords set to 確認中.
  • description changed.

以下のリビジョンで承認リスト画面以外のアクションも適用させました。

01/22/10 15:28:57 changed by itoda

確認しました。
問題はありませんでした。

01/27/10 18:54:07 changed by fukamachi

  • keywords deleted.
  • status changed from assigned to closed.
  • resolution set to fixed.

確認しました。